DbLogStat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbLogStat,DbLogStat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbLogStat

    java.lang.Object
      |
      +--com.sleepycat.db.DbLogStat

public class DbLogStat
extends Object

The DbLogStat object is used to return logging subsystem statistics.

Field Summary
`int` | `st_cur_file` The current log file number.
`int` | `st_cur_offset` The byte offset in the current log file.
`int` | `st_disk_file` The log file number of the last record known to be on disk.
`int` | `st_disk_offset` The byte offset of the last record known to be on disk.
`int` | `st_lg_bsize` The in-memory log record cache size.
`int` | `st_lg_size` The current log file size.
`int` | `st_magic` The magic number that identifies a file as a log file.
`int` | `st_maxcommitperflush` The maximum number of commits contained in a single log flush.
`int` | `st_mincommitperflush` The minimum number of commits contained in a single log flush that contained a commit.
`int` | `st_mode` The mode of any created log files.
`int` | `st_region_nowait` The number of times that a thread of control was able to obtain the region lock without waiting.
`int` | `st_region_wait` The number of times that a thread of control was forced to wait before obtaining the region lock.
`int` | `st_regsize` The size of the region.
`int` | `st_scount` The number of times the log has been flushed to disk.
`int` | `st_version` The version of the log file type.
`int` | `st_w_bytes` The number of bytes over and above st_w_mbytes written to this log.
`int` | `st_w_mbytes` The number of megabytes written to this log.
`int` | `st_wc_bytes` The number of bytes over and above st_wc_mbytes written to this log since the last checkpoint.
`int` | `st_wc_mbytes` The number of megabytes written to this log since the last checkpoint.
`int` | `st_wcount` The number of times the log has been written to disk.
`int` | `st_wcount_fill` The number of times the log has been written to disk because the in-memory log record cache filled up.

Constructor Summary
`DbLogStat()`

Method Summary
`String` | `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### st_magic

    public int st_magic

  The magic number that identifies a file as a log file.

### st_version

    public int st_version

  The version of the log file type.

### st_mode

    public int st_mode

  The mode of any created log files.

### st_lg_bsize

    public int st_lg_bsize

  The in-memory log record cache size.

### st_lg_size

    public int st_lg_size

  The current log file size.

### st_w_bytes

    public int st_w_bytes

  The number of bytes over and above st_w_mbytes written to this log.

### st_w_mbytes

    public int st_w_mbytes

  The number of megabytes written to this log.

### st_wc_bytes

    public int st_wc_bytes

  The number of bytes over and above st_wc_mbytes written to this log since the last checkpoint.

### st_wc_mbytes

    public int st_wc_mbytes

  The number of megabytes written to this log since the last checkpoint.

### st_wcount

    public int st_wcount

  The number of times the log has been written to disk.

### st_wcount_fill

    public int st_wcount_fill

  The number of times the log has been written to disk because the in-memory log record cache filled up.

### st_scount

    public int st_scount

  The number of times the log has been flushed to disk.

### st_region_wait

    public int st_region_wait

  The number of times that a thread of control was forced to wait before obtaining the region lock.

### st_region_nowait

    public int st_region_nowait

  The number of times that a thread of control was able to obtain the region lock without waiting.

### st_cur_file

    public int st_cur_file

  The current log file number.

### st_cur_offset

    public int st_cur_offset

  The byte offset in the current log file.

### st_disk_file

    public int st_disk_file

  The log file number of the last record known to be on disk.

### st_disk_offset

    public int st_disk_offset

  The byte offset of the last record known to be on disk.

### st_regsize

    public int st_regsize

  The size of the region.

### st_maxcommitperflush

    public int st_maxcommitperflush

  The maximum number of commits contained in a single log flush.

### st_mincommitperflush

    public int st_mincommitperflush

  The minimum number of commits contained in a single log flush that contained a commit.

Constructor Detail

### DbLogStat

    public DbLogStat()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.